summaryrefslogtreecommitdiffstats
path: root/meta/recipes-gnome
diff options
context:
space:
mode:
authorXiaofeng Yan <xiaofeng.yan@windriver.com>2011-12-12 11:28:39 (GMT)
committerRichard Purdie <richard.purdie@linuxfoundation.org>2011-12-13 12:28:10 (GMT)
commit4bf7368971f0a27fc14554e3867a5c21955c08ac (patch)
tree8c219c77afc1e129fc2e88f6c33449bfe4f4158a /meta/recipes-gnome
parent627b230f56183be59c04e475c2ded9479d6a465e (diff)
downloadpoky-4bf7368971f0a27fc14554e3867a5c21955c08ac.tar.gz
gtk.inc: add feature based on directfb
gtk run over x11 at current OE-core. If gtk want to run over directfb, then \ the configuration related to x11 should be disabled and directfb should be enabled. [YOCTO #1674] (From OE-Core rev: c95e859672599e43e156ac12dc1d919e0dd34510) Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-gnome')
-rw-r--r--meta/recipes-gnome/gtk+/gtk+.inc16
1 files changed, 13 insertions, 3 deletions
diff --git a/meta/recipes-gnome/gtk+/gtk+.inc b/meta/recipes-gnome/gtk+/gtk+.inc
index 1d8f4a6..5eb7eb1 100644
--- a/meta/recipes-gnome/gtk+/gtk+.inc
+++ b/meta/recipes-gnome/gtk+/gtk+.inc
@@ -9,9 +9,19 @@ LICENSE = "LGPLv2 & LGPLv2+ & LGPLv2.1+"
9LIC_FILES_CHKSUM = "file://COPYING;md5=3bf50002aefd002f49e7bb854063f7e7" 9LIC_FILES_CHKSUM = "file://COPYING;md5=3bf50002aefd002f49e7bb854063f7e7"
10 10
11SECTION = "libs" 11SECTION = "libs"
12DEPENDS = "glib-2.0 pango atk jpeg libpng libxext libxcursor \ 12
13 gtk-doc-native docbook-utils-native libxrandr libgcrypt \ 13X11DEPENDS = "virtual/libx11 libxext libxcursor libxrandr libxdamage libxrender libxcomposite"
14 libxdamage libxrender libxcomposite cairo gdk-pixbuf" 14DEPENDS = "glib-2.0 pango atk jpeg libpng gtk-doc-native gdk-pixbuf-native docbook-utils-native \
15 libgcrypt cairo gdk-pixbuf"
16
17PACKAGECONFIG ??= "${@base_contains('DISTRO_FEATURES', 'x11', 'x11', '', d)} \
18 ${@base_contains('DISTRO_FEATURES', 'directfb', 'directfb', '', d)}"
19
20# for gtk+ 2.x, have to pick either x11 or directfb not both
21# for gtk+ 3.x, PACKAGECONFIG[gtk-directfb] should be removed because directfb will not be support as
22# a backend.
23PACKAGECONFIG[x11] = "--with-x=yes --with-gdktarget=x11,--with-x=no,${X11DEPENDS}"
24PACKAGECONFIG[gtk-directfb] = "--with-gdktarget=directfb,,directfb"
15 25
16inherit autotools pkgconfig 26inherit autotools pkgconfig
17 27